package com.yeejoin.amos.fas.dao.entity;

import java.math.BigInteger;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;


/**
 * The persistent class for the equipment_fire_equipment database table.
 * 
 */
@Entity
@Table(name="f_equipment_fire_equipment")
@NamedQuery(name="EquipmentFireEquipment.findAll", query="SELECT e FROM EquipmentFireEquipment e")
public class EquipmentFireEquipment extends BasicEntity  {
	private static final long serialVersionUID = 1L;

	@Column(name="equipment_id")
	private BigInteger equipmentId;


	@Column(name="fire_equipment_id")
	private BigInteger fireEquipmentId;

	public EquipmentFireEquipment() {
	}

	public BigInteger getEquipmentId() {
		return this.equipmentId;
	}

	public void setEquipmentId(BigInteger equipmentId) {
		this.equipmentId = equipmentId;
	}

	public BigInteger getFireEquipmentId() {
		return this.fireEquipmentId;
	}

	public void setFireEquipmentId(BigInteger fireEquipmentId) {
		this.fireEquipmentId = fireEquipmentId;
	}

}