package com.yeejoin.amos.fas.business.dao.mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import org.apache.ibatis.annotations.Param;

public interface FmeaMapper extends BaseMapper {

		/**
	    * Fmea查询，分页查询统计用
	    * @param param
	    * @return
	    */
		long countPageData(CommonPageInfoParam param);
	    
		/**
		 * 危险因素分页查询
		 * @param param
		 * @return
		 */
		List<HashMap<String, Object>> queryFmeaPage(CommonPageInfoParam param);


	/**
	 * FMEA信息列表
	 * @param riskSourceId
	 * @return
	 */
	List<Map> queryForFmeaList(@Param("riskSourceId") Long riskSourceId);
}
