package com.yeejoin.amos.fas.business.dao.repository;

import java.math.BigInteger;
import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.yeejoin.amos.fas.dao.entity.PreplanPicture;

@Repository("iPreplanPictureDao")
public interface IPreplanPictureDao extends BaseDao<PreplanPicture, Long> {
	@Query(value = "select  * from f_preplan_picture where equipment_id=?1 and type = ?2",nativeQuery = true)
	PreplanPicture selectOne(BigInteger id,int type);


	List<PreplanPicture> findByEquipmentId(BigInteger  equipmentId);


}
