package com.yeejoin.amos.fas.business.dao.repository;

import org.springframework.stereotype.Repository;

import com.yeejoin.amos.fas.dao.entity.RiskSourceEquipment;

import java.util.List;

@Repository("iRiskSourceEquipmentDao")
public interface IRiskSourceEquipmentDao extends BaseDao<RiskSourceEquipment, Long> {

    /**
     * 查询指定风险点的所有关联设备信息
     * @param riskSourceId
     * @return
     */
    List<RiskSourceEquipment> findByRiskSourceIdAndEquipmentId(Long riskSourceId,Long equipmentId);
}
