package com.yeejoin.amos.fas.business.dao.repository;

import com.yeejoin.amos.fas.dao.entity.SUser;
import org.springframework.data.jpa.repository.Query;

import java.math.BigInteger;
import java.util.List;

public interface IUserDao extends BaseDao<SUser, Long> {
    @Query("select u from SUser u where u.isDelete = ?2 and u.departmentId = ?1")
    public List<SUser> findUserByDeptmentId(BigInteger departmentId, byte isDel);

    SUser findById(Long id);
}

