package com.yeejoin.amos.fas.business.service.intfc;

import com.yeejoin.amos.fas.business.param.PointListParam;
import com.yeejoin.amos.fas.dao.entity.SDepartment;
import com.yeejoin.amos.fas.dao.entity.SUser;
import org.springframework.data.domain.Page;

import java.util.HashMap;
import java.util.List;

public interface ICommonService {

    List<SDepartment> getDepartment(Long companyId);

    Page<HashMap<String, Object>> getPointList(PointListParam params);

    Page<HashMap<String, Object>> getPointInputList(PointListParam params);

    /**
     * 根据部门ID获取部门人员信息
     *
     * @param departmentId
     * @return
     */
    List<SUser> getUsers(Long departmentId);
}
