package com.yeejoin.amos.fas.business.service.intfc;

import java.util.HashMap;
import java.util.List;

import org.springframework.data.domain.Page;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import com.yeejoin.amos.fas.core.common.request.CommonPageable;
import com.yeejoin.amos.fas.dao.entity.Fmea;
import com.yeejoin.amos.op.core.common.query.DaoCriteria;

public interface IFmeaService {

	/**
	 * 维护Fmea模型
	 * 
	 * @param map
	 * @return
	 */
	Fmea editFmea(HashMap<String, Object> map);

	/**
	 * 根据ID删除Fmea
	 * 
	 * @param fmeaIds
	 */
	void deleteFmea(Long[] fmeaIds);

	/**
	 * 分页查询Fmea
	 * 
	 * @param criterias
	 * @param commonPageable
	 * @return
	 */
	Page<HashMap<String, Object>> queryFmeaList(CommonPageInfoParam param);


	 void updateRpniInfo(Long riskSourceId);
}
