package com.yeejoin.amos.fas.dao.entity;

import javax.persistence.*;

import com.fasterxml.jackson.annotation.JsonBackReference;


/**
 * The persistent class for the risk_source_point_inputitem database table.
 * 
 */
@Entity
@Table(name="f_risk_source_point_inputitem")
@NamedQuery(name="RiskSourcePointInputitem.findAll", query="SELECT r FROM RiskSourcePointInputitem r")
public class RiskSourcePointInputitem extends BasicEntity  {
	private static final long serialVersionUID = 1L;

	@Column(name="point_id")
	private Long pointId;

	@Column(name="point_inputitem_id")
	private Long pointInputitemId;

	@Column(name="risk_source_id")
	private Long riskSourceId;

	@Column(name="status")
	private String status;

	/**
	 * 检查项检查记录id(p_check_input 表id)
	 */
	@Column(name="check_inputitem_id")
	private Long checkInputitemId;

	private String  pointInputitemName;
	private String originalTaskState;
	private RiskSource riskSource;

	public RiskSourcePointInputitem() {
	}

	@Transient
	public String getPointInputitemName() {
		return pointInputitemName;
	}

	public void setPointInputitemName(String pointInputitemName) {
		this.pointInputitemName = pointInputitemName;
	}

	@Transient
	public String getOriginalTaskState() {
		return originalTaskState;
	}

	public void setOriginalTaskState(String originalTaskState) {
		this.originalTaskState = originalTaskState;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Long getPointId() {
		return this.pointId;
	}

	public void setPointId(Long pointId) {
		this.pointId = pointId;
	}

	public Long getPointInputitemId() {
		return this.pointInputitemId;
	}

	public void setPointInputitemId(Long pointInputitemId) {
		this.pointInputitemId = pointInputitemId;
	}

	public Long getRiskSourceId() {
		return this.riskSourceId;
	}

	public void setRiskSourceId(Long riskSourceId) {
		this.riskSourceId = riskSourceId;
	}

	public Long getCheckInputitemId() {
		return checkInputitemId;
	}

	public void setCheckInputitemId(Long checkInputitemId) {
		this.checkInputitemId = checkInputitemId;
	}

	@ManyToOne
	@JoinColumn(name = "riskSourceId", referencedColumnName = "id", updatable = false, insertable = false)	
	public RiskSource getRiskSource() {
		return riskSource;
	}
	@JsonBackReference
	public void setRiskSource(RiskSource riskSource) {
		this.riskSource = riskSource;
	}
	
}