package com.yeejoin.amos.fas.business.dao.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface RiskSourceEquimentMapper extends BaseMapper {


    /**
     * 列表展示关联关系查询
     * @return
     */
    List<Map> queryForView(@Param("start")int start,
                           @Param("length")int length,
                           @Param("riskSourceId") String riskSourceId);

    Long queryForViewCount(@Param("riskSourceId") String riskSourceId);

    /**
     * 查询指定重点设备的消防设备绑定关系，包含已绑定和未绑定
     * @return
     */
    List<Map> queryEquimentRelation(
            @Param("start")int start,
            @Param("length")int length,
            @Param("riskSourceId")String riskSourceId,
            @Param("equipmentId") String equipmentId,
            @Param("fname") String fname);

    Long queryEquimentRelationCount(
            @Param("riskSourceId")String riskSourceId,
            @Param("equipmentId") String equipmentId,
            @Param("fname") String fname);



}
