package com.yeejoin.amos.fas.business.param;

import java.util.HashMap;
import java.util.List;

import com.yeejoin.amos.fas.core.common.request.CommonPageable;
import com.yeejoin.amos.fas.core.common.request.CommonRequest;


public class QueryParamUtil {
	
	
	public static PointListParam fillPointListParam(List<CommonRequest> queryRequests, CommonPageable commonPageable,
			PointListParam param) {
		for (int i = 0; i < queryRequests.size(); i++) {
			String name = queryRequests.get(i).getName();
			String value = toString(queryRequests.get(i).getValue());
			if ("departmentId".equals(name)) {
				param.setDepartmentId(Long.valueOf(value));
			}else if("pointNo".equals(name)){
				param.setPointNo(value);
			}else if("pointName".equals(name)){
				param.setPointName(value);
			}else if("pointId".equals(name)){
				param.setPointId(Long.valueOf(value));
			}else if("inputType".equals(name)){
				param.setInputType(value);
			}else if("riskSourceId".equals(name)){
				param.setRiskSourceId(Long.valueOf(value));
			}
		}
		if (commonPageable != null) {
			param.setPageNumber(commonPageable.getPageNumber());
			param.setPageSize(commonPageable.getPageSize());
		}
		return param;
	}
	
	private static String toString(Object value) {
		if (null == value || value == "") {
			return null;
		} else {
			return value.toString();
		}
	}
}
