package com.yeejoin.amos.fas.business.service.intfc;

import java.util.HashMap;

import com.yeejoin.amos.fas.dao.entity.FireCar;
import org.springframework.data.domain.Page;
import org.springframework.web.multipart.MultipartFile;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import com.yeejoin.amos.fas.business.vo.FireCarDetailVo;

public interface IFireCarService {

	Page<HashMap<String, Object>> queryFireCar(CommonPageInfoParam param);

	FireCarDetailVo findFireCarById(Long id);



	FireCar save(FireCar fireCar);


	FireCar queryOne(Long id);

	String [] delete(String []idArray) throws Exception;

	FireCar saveFireCarAndPhoto(FireCar fireCar, MultipartFile[] file);

}
